Saltar al contenido
Guías
Pagos y finanzasPagos
payment:create

Iniciar pago

POST/v1/payments/start

Iniciar pago. Una solicitud exitosa devuelve HTTP 200 con el cuerpo de respuesta documentado.

Autorización

bearerAuth
AutorizaciónBearer <token>

Token de acceso OAuth 2.0 emitido por Ecomiq Auth.

Ubicación: header

Parámetros de cabecera

x-Store-Id?string

Tienda sobre la que actúa la solicitud. No hace falta cuando el token ya está vinculado a una tienda.

Authorization*string

Token bearer OAuth 2.0.

Cuerpo de la solicitud

application/json

Definiciones TypeScript

Usa esta definición en TypeScript.

Cuerpo de la respuesta

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/v1/payments/start" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>" \  -H "Content-Type: application/json" \  -d '{    "targetKind": "order",    "orderId": "7204558912004325301",    "orderGroup": "example",    "paymentMethodCode": "example_code",    "amount": 1,    "currency": "PEN",    "externalRef": "example",    "payerEmail": "andrea@example.com"  }'
{  "transactionId": "7204558912004325301",  "status": "pending",  "isCaptured": false,  "paymentMethodCode": "example_code",  "code": "example_code",  "cardType": "example",  "amount": 1,  "reference": "example",  "providerId": "7204558912004325301",  "publicConfiguration": {    "key": "example"  },  "clientSecret": "replace_with_a_random_secret",  "checkoutUrl": "https://example.com/resource",  "checkoutHtml": "example",  "qrCode": "example_code",  "receiptUrl": "https://example.com/resource",  "expiresAt": "2026-08-01T15:30:00Z",  "actionKind": "none"}